package com.inspect.ivs.vo;

import com.inspect.ivs.util.TimeUtils;
import java.io.Serializable;

public class IvsPlaybackRec2ListVo implements Serializable {
   private String cameraCode;
   private String domainCode;
   private int recordMethod = 1;
   private String startTime;
   private String endTime;
   private int fromIndex = 1;
   private int toIndex = 1000;

   public IvsPlaybackRec2ListVo(String code, String startTime, String endTime) {
      String[] split = code.split("\\#");
      this.cameraCode = split[0];
      this.domainCode = split[1];
      this.startTime = TimeUtils.toIvs(startTime);
      this.endTime = TimeUtils.toIvs(endTime);
   }

   public String getCameraCode() {
      return this.cameraCode;
   }

   public String getDomainCode() {
      return this.domainCode;
   }

   public int getRecordMethod() {
      return this.recordMethod;
   }

   public String getStartTime() {
      return this.startTime;
   }

   public String getEndTime() {
      return this.endTime;
   }

   public int getFromIndex() {
      return this.fromIndex;
   }

   public int getToIndex() {
      return this.toIndex;
   }

   public void setCameraCode(String cameraCode) {
      this.cameraCode = cameraCode;
   }

   public void setDomainCode(String domainCode) {
      this.domainCode = domainCode;
   }

   public void setRecordMethod(int recordMethod) {
      this.recordMethod = recordMethod;
   }

   public void setStartTime(String startTime) {
      this.startTime = startTime;
   }

   public void setEndTime(String endTime) {
      this.endTime = endTime;
   }

   public void setFromIndex(int fromIndex) {
      this.fromIndex = fromIndex;
   }

   public void setToIndex(int toIndex) {
      this.toIndex = toIndex;
   }

   public boolean equals(Object o) {
      if(o == this) {
         return true;
      } else if(!(o instanceof IvsPlaybackRec2ListVo)) {
         return false;
      } else {
         IvsPlaybackRec2ListVo other = (IvsPlaybackRec2ListVo)o;
         if(!other.canEqual(this)) {
            return false;
         } else if(this.getRecordMethod() != other.getRecordMethod()) {
            return false;
         } else if(this.getFromIndex() != other.getFromIndex()) {
            return false;
         } else if(this.getToIndex() != other.getToIndex()) {
            return false;
         } else {
            Object this$cameraCode = this.getCameraCode();
            Object other$cameraCode = other.getCameraCode();
            if(this$cameraCode == null) {
               if(other$cameraCode != null) {
                  return false;
               }
            } else if(!this$cameraCode.equals(other$cameraCode)) {
               return false;
            }

            label59: {
               Object this$domainCode = this.getDomainCode();
               Object other$domainCode = other.getDomainCode();
               if(this$domainCode == null) {
                  if(other$domainCode == null) {
                     break label59;
                  }
               } else if(this$domainCode.equals(other$domainCode)) {
                  break label59;
               }

               return false;
            }

            Object this$startTime = this.getStartTime();
            Object other$startTime = other.getStartTime();
            if(this$startTime == null) {
               if(other$startTime != null) {
                  return false;
               }
            } else if(!this$startTime.equals(other$startTime)) {
               return false;
            }

            Object this$endTime = this.getEndTime();
            Object other$endTime = other.getEndTime();
            if(this$endTime == null) {
               if(other$endTime != null) {
                  return false;
               }
            } else if(!this$endTime.equals(other$endTime)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof IvsPlaybackRec2ListVo;
   }

   public int hashCode() {
      int PRIME = 1;
      int result = 1;
      result = result * 59 + this.getRecordMethod();
      result = result * 59 + this.getFromIndex();
      result = result * 59 + this.getToIndex();
      Object $cameraCode = this.getCameraCode();
      result = result * 59 + ($cameraCode == null?43:$cameraCode.hashCode());
      Object $domainCode = this.getDomainCode();
      result = result * 59 + ($domainCode == null?43:$domainCode.hashCode());
      Object $startTime = this.getStartTime();
      result = result * 59 + ($startTime == null?43:$startTime.hashCode());
      Object $endTime = this.getEndTime();
      result = result * 59 + ($endTime == null?43:$endTime.hashCode());
      return result;
   }

   public String toString() {
      return "IvsPlaybackRecordListVo(cameraCode=" + this.getCameraCode() + ", domainCode=" + this.getDomainCode() + ", recordMethod=" + this.getRecordMethod() + ", startTime=" + this.getStartTime() + ", endTime=" + this.getEndTime() + ", fromIndex=" + this.getFromIndex() + ", toIndex=" + this.getToIndex() + ")";
   }

   public IvsPlaybackRec2ListVo() {
   }
}
